aoe-flush(8)

NAME
aoe-flush - flush the down devices out of the aoe driver

SYNOPSIS
aoe-flush [-a]
aoe-flush dev1 [dev2 ...]

DESCRIPTION
The aoe-flush command tells the aoe driver to remove devices from the system and forget about them. Normally the aoe driver will remember all devices it has seen until the module is unloaded. By default, aoe-flush will only flush downed devices. With the -a flag all devices are candidates for removal.

aoe-flush will not remove devices that are in use. This includes devices in the closewait state or those in the process of being installed.

By specifying a series of specific aoe devices, e.g., e7.0 e3.2, it is possible to ask the aoe driver to forget these devices. This feature may be convenient after a temporary AoE target is no longer being used.

OPTIONS

-a  The -a option tells the aoe driver to forget all unused devices.

EXAMPLE
    nai# aoe-stat | grep e12.0
         e12.0         0.000GB   eth1 down
    nai# aoe-flush
    nai# aoe-stat | grep e12.0

BUGS
Flushed devices may reappear when they are discovered by the periodic discovery beacon. aoe-discover may be used to force this behaviour.

SEE ALSO
aoe-stat(8), aoe-discover(8), aoetools(8).

AUTHOR
Sam Hopkins (sah@coraid.com)